Skip to main content
GET
/
userops
/
{address}
Get UserOps by wallet address
curl --request GET \
  --url https://api.fuse.io/api/v0/graphql/userops/{address}
{
  "data": {
    "userOps": [
      {
        "id": "<string>",
        "transactionHash": "<string>",
        "userOpHash": "<string>",
        "sender": "<string>",
        "entryPoint": "<string>",
        "paymaster": "<string>",
        "paymasterAndData": "<string>",
        "bundler": "<string>",
        "nonce": "<string>",
        "initCode": "<string>",
        "actualGasCost": "<string>",
        "actualGasUsed": "<string>",
        "callGasLimit": "<string>",
        "verificationGasLimit": "<string>",
        "preVerificationGas": "<string>",
        "maxFeePerGas": "<string>",
        "maxPriorityFeePerGas": "<string>",
        "baseFeePerGas": "<string>",
        "gasPrice": "<string>",
        "gasLimit": "<string>",
        "signature": "<string>",
        "success": true,
        "revertReason": "<string>",
        "blockTime": "<string>",
        "blockNumber": "<string>",
        "network": "<string>",
        "target": "<string>",
        "accountTarget": {
          "id": "<string>",
          "userOpsCount": "<string>"
        },
        "callData": "<string>",
        "beneficiary": "<string>",
        "factory": "<string>",
        "erc721Transfers": [
          {
            "from": "<string>",
            "to": "<string>",
            "tokenId": "<string>",
            "contractAddress": "<string>",
            "name": "<string>",
            "symbol": "<string>"
          }
        ],
        "erc20Transfers": [
          {
            "from": "<string>",
            "to": "<string>",
            "value": "<string>",
            "contractAddress": "<string>",
            "name": "<string>",
            "symbol": "<string>",
            "decimals": "<string>"
          }
        ]
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.fuse.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

address
string
required

The wallet address to query for user operations.

Query Parameters

apiKey
string
required

Your API key to authenticate requests.

Response

A list of user operations associated with the wallet address.

data
object